> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-cccf65ca.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List spaces in project

> List all spaces in a project



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/projects/{projectUuid}/spaces
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3233.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/spaces:
    get:
      tags:
        - Projects
      summary: List spaces in project
      description: List all spaces in a project
      operationId: ListSpacesInProject
      parameters:
        - description: The uuid of the project to get spaces for
          in: path
          name: projectUuid
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiSpaceSummaryListResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiSpaceSummaryListResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/SpaceSummary'
          type: array
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    SpaceSummary:
      allOf:
        - $ref: '#/components/schemas/SpaceSummaryBase'
        - properties:
            access:
              items:
                type: string
              type: array
            userAccess:
              $ref: '#/components/schemas/SpaceAccess'
            inheritsFromOrgOrProject:
              type: boolean
          required:
            - access
            - inheritsFromOrgOrProject
          type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    SpaceSummaryBase:
      allOf:
        - $ref: >-
            #/components/schemas/Pick_Space.organizationUuid-or-projectUuid-or-uuid-or-name-or-inheritParentPermissions-or-projectMemberAccessRole-or-pinnedListUuid-or-pinnedListOrder-or-slug-or-parentSpaceUuid-or-path_
        - properties:
            deletedBy:
              properties:
                lastName:
                  type: string
                firstName:
                  type: string
                userUuid:
                  type: string
              required:
                - lastName
                - firstName
                - userUuid
              type: object
            deletedAt:
              type: string
              format: date-time
            appCount:
              type: number
              format: double
            childSpaceCount:
              type: number
              format: double
            dashboardCount:
              type: number
              format: double
            chartCount:
              type: number
              format: double
          required:
            - appCount
            - childSpaceCount
            - dashboardCount
            - chartCount
          type: object
    SpaceAccess:
      properties:
        inheritedFrom:
          type: string
          enum:
            - organization
            - project
            - group
            - space_group
            - parent_space
        inheritedRole:
          anyOf:
            - $ref: '#/components/schemas/OrganizationMemberRole'
            - $ref: '#/components/schemas/ProjectMemberRole'
        projectRole:
          $ref: '#/components/schemas/ProjectMemberRole'
        hasDirectAccess:
          type: boolean
        role:
          $ref: '#/components/schemas/SpaceMemberRole'
        userUuid:
          type: string
      required:
        - hasDirectAccess
        - role
        - userUuid
      type: object
    Pick_Space.organizationUuid-or-projectUuid-or-uuid-or-name-or-inheritParentPermissions-or-projectMemberAccessRole-or-pinnedListUuid-or-pinnedListOrder-or-slug-or-parentSpaceUuid-or-path_:
      properties:
        name:
          type: string
        projectUuid:
          type: string
        organizationUuid:
          type: string
        uuid:
          type: string
        inheritParentPermissions:
          type: boolean
        projectMemberAccessRole:
          allOf:
            - $ref: '#/components/schemas/SpaceMemberRole'
          nullable: true
        pinnedListUuid:
          type: string
          nullable: true
        pinnedListOrder:
          type: number
          format: double
          nullable: true
        slug:
          type: string
        parentSpaceUuid:
          type: string
          nullable: true
        path:
          type: string
      required:
        - name
        - projectUuid
        - organizationUuid
        - uuid
        - inheritParentPermissions
        - projectMemberAccessRole
        - pinnedListUuid
        - pinnedListOrder
        - slug
        - parentSpaceUuid
        - path
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    OrganizationMemberRole:
      enum:
        - member
        - viewer
        - interactive_viewer
        - editor
        - developer
        - admin
      type: string
    ProjectMemberRole:
      enum:
        - viewer
        - interactive_viewer
        - editor
        - developer
        - admin
      type: string
    SpaceMemberRole:
      enum:
        - viewer
        - editor
        - admin
      type: string

````